<?php
/*---------------------------------------------------------------*/
/*
    Titre : Tag cloud simple avec démo                                                                                   
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1055
    Date dition     : 17 Fv 2019                                                                                        
    Date mise  jour : 11 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    - maintenance du code                                                                                                 
*/
/*---------------------------------------------------------------*/
 
    /*
     CREATE TABLE IF NOT EXISTS `scripts` (
      `id` int(10) NOT NULL AUTO_INCREMENT,
      `cat` text NOT NULL,
      `hits` int(10) NOT NULL,
      PRIMARY KEY (`id`)
    ) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=0 ;
    */
 
 
 
    $db_server = 'localhost'; //adresse du serveur MySQL
    $db_name = ''; //nom de la base de données
    $db_user_login = 'root'; //nom d'utilisateur pour la BD
    $db_user_pass = ''; //mot de passe pour la BD
 
    // Connection au serveur mySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);
 
    ?>
 
 
    <head>
    <title>Tags cloud</title>
    <style type="text/css">
           .tags_container{width:300px;padding:10px 10px;}
           .tags ul{padding:5px 5px;}
           .tags li{margin:0;padding:0;list-style:none;display:inline;}
           .tags li a{text-decoration:none;padding:0 2px;}
           .tags li a:hover{text-decoration:underline;} 
 
           .tag1 a{font-size:12px; color: #9c639c;}
           .tag2 a{font-size:14px; color: #cece31;}
           .tag3 a{font-size:16px; color: #9c9c9c;}
           .tag4 a{font-size:18px; color: #31ce31;}
           .tag5 a{font-size:20px; color: #6363ad;}
           .tag6 a{font-size:22px; color: #ce6300;}
           .tag7 a{font-size:24px; color: #9c3100;}
    </style>
    </head>
 
 
    <body>
 
 
        <?php 
 
         $query = "SELECT MAX(hits) as num FROM scripts";
         $result = mysqli_query($conn,$query);
         $max = mysqli_fetch_array($result);
         if($max['num'] < 10) $max['num'] = 10;
        ?>
  
 
 
        <div class="tags_container">
         <ul class="tags">
         <?php
          $factor = $max['num']/7;
          $query = "SELECT * FROM scripts group by cat ORDER BY RAND()";
          $result = mysqli_query($conn,$query);
          while($row=mysqli_fetch_array($result)){
           for( $i = 0 ; $i <= 6 ; $i++ )
           {
            $start = $factor * $i;
            $end = $start + $factor;
            if( $row['hits'] > $start && $row['hits'] <= $end )
            {
             $tag_number = $i+1;
            }
           }
         ?>
          <li class="tag<?php echo $tag_number; ?>">
           <a href="#"><?php echo utf8_encode($row['cat']);?></a>
          </li>
         <?php
          }
         ?>
         </ul>
        </div>
 
        </body>
